./unstack.sh won't clear the network interfaces (devstack)

asked 2017-02-17 07:56:17 -0500

Venkatesh6114 gravatar image

Issue : whenever I unstack the devstack, it won't clear the network interfaces like the following,

qbr3ad650b5-cf
qbr703fe140-ee
qvb3ad650b5-cf

So next time, when I start the stack, it throws following error.

2017-02-17 13:27:41.407 | Ignoring sortedcontainers: markers 'python_version == "3.5"' don't match your environment
2017-02-17 13:27:41.433 | Ignoring tornado: markers 'python_version == "3.4"' don't match your environment
2017-02-17 13:27:41.434 | Ignoring tornado: markers 'python_version == "3.5"' don't match your environment
2017-02-17 13:27:41.446 | Ignoring urwid: markers 'python_version == "3.4"' don't match your environment
2017-02-17 13:27:41.447 | Ignoring urwid: markers 'python_version == "3.5"' don't match your environment
2017-02-17 13:27:41.452 | Ignoring watchdog: markers 'python_version == "3.4"' don't match your environment
2017-02-17 13:27:41.454 | Ignoring watchdog: markers 'python_version == "3.5"' don't match your environment
2017-02-17 13:27:41.475 | Requirement already satisfied: Sphinx===1.3.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 30))
2017-02-17 13:27:41.486 | Requirement already satisfied: alabaster===0.7.9 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 68))
2017-02-17 13:27:41.488 | Requirement already satisfied: coverage===4.3.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 112))
2017-02-17 13:27:41.490 | Requirement already satisfied: docutils===0.12 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 141))
2017-02-17 13:27:41.492 | Requirement already satisfied: mock===2.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 225))
2017-02-17 13:27:41.504 | Requirement already satisfied: oslosphinx===4.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 288))
2017-02-17 13:27:41.508 | Requirement already satisfied: oslotest===2.13.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 289))
2017-02-17 13:27:41.515 | Requirement already satisfied: pbr===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 299))
2017-02-17 13:27:41.516 | Requirement already satisfied: python-subunit===1.2.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 383))
2017-02-17 13:27:41.525 | Requirement already satisfied: reno===2.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 398))
2017-02-17 13:27:41.532 | Requirement already satisfied: requests===2.12.5 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 401))
2017-02-17 13:27:41.538 | Requirement already satisfied: six===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/requirements/upper-constraints.txt (line 426))
2017-02-17 13:27:41.539 | Requirement already satisfied: snowballstemmer===1.2.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt ...
(more)
edit retag flag offensive close merge delete

Comments

afaik unstack doesn't remove network interfaces. It's best to reboot for that.

Bernd Bausch gravatar imageBernd Bausch ( 2017-02-17 08:06:30 -0500 )edit

I agree with you bausch.

I got the above network interface errors in Ubuntu 15.04(vivid). At the same time, when I unstack the devstack in Ubuntu 14.10, no issues found. It is working good.

Is this related with OS or not ??

Venkatesh6114 gravatar imageVenkatesh6114 ( 2017-02-20 01:25:21 -0500 )edit

B'cause, why am i asking this question means, We need to start the devstack in ubuntu 15.04 in force manner. like this , $ echo "FORCE=yes" >> local.conf

Venkatesh6114 gravatar imageVenkatesh6114 ( 2017-02-20 01:26:58 -0500 )edit